package com.phm.manage.service.impl;

import com.phm.manage.domain.FalseAlarmRestrainModel;
import com.phm.manage.mapper.FalseAlarmRestrainModelMapper;
import com.phm.manage.service.IFalseAlarmRestrainModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 虚警抑制模型Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class FalseAlarmRestrainModelServiceImpl implements IFalseAlarmRestrainModelService {
    @Autowired
    private FalseAlarmRestrainModelMapper falseAlarmRestrainModelMapper;

    /**
     * 查询虚警抑制模型
     *
     * @param id 虚警抑制模型主键
     * @return 虚警抑制模型
     */
    @Override
    public FalseAlarmRestrainModel selectFalseAlarmRestrainModelById(Long id) {
        return falseAlarmRestrainModelMapper.selectFalseAlarmRestrainModelById(id);
    }

    /**
     * 查询虚警抑制模型列表
     *
     * @param falseAlarmRestrainModel 虚警抑制模型
     * @return 虚警抑制模型
     */
    @Override
    public List<FalseAlarmRestrainModel> selectFalseAlarmRestrainModelList(FalseAlarmRestrainModel falseAlarmRestrainModel) {
        return falseAlarmRestrainModelMapper.selectFalseAlarmRestrainModelList(falseAlarmRestrainModel);
    }

    /**
     * 新增虚警抑制模型
     *
     * @param falseAlarmRestrainModel 虚警抑制模型
     * @return 结果
     */
    @Override
    public int insertFalseAlarmRestrainModel(FalseAlarmRestrainModel falseAlarmRestrainModel) {
        return falseAlarmRestrainModelMapper.insertFalseAlarmRestrainModel(falseAlarmRestrainModel);
    }

    /**
     * 修改虚警抑制模型
     *
     * @param falseAlarmRestrainModel 虚警抑制模型
     * @return 结果
     */
    @Override
    public int updateFalseAlarmRestrainModel(FalseAlarmRestrainModel falseAlarmRestrainModel) {
        return falseAlarmRestrainModelMapper.updateFalseAlarmRestrainModel(falseAlarmRestrainModel);
    }

    /**
     * 批量删除虚警抑制模型
     *
     * @param ids 需要删除的虚警抑制模型主键
     * @return 结果
     */
    @Override
    public int deleteFalseAlarmRestrainModelByIds(Long[] ids) {
        return falseAlarmRestrainModelMapper.deleteFalseAlarmRestrainModelByIds(ids);
    }

    /**
     * 删除虚警抑制模型信息
     *
     * @param id 虚警抑制模型主键
     * @return 结果
     */
    @Override
    public int deleteFalseAlarmRestrainModelById(Long id) {
        return falseAlarmRestrainModelMapper.deleteFalseAlarmRestrainModelById(id);
    }
}
